4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.Build

Classes: Build

## Classes

class Build(distutils.command.build.build)

### Methods

finalize_options(self)
get_source_files(self)
has_c_libraries(self)
has_docs(self)
has_ext_modules(self)
has_idl(self)
has_l10n(self)
has_pure_modules(self)
has_scripts(self)
has_tests(self)
initialize_options(self)
run(self)

### Methods inherited from class distutils.cmd.Command

__getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

### Fields

boolean_options = ['debug', 'force', 'with-docs', 'without-docs']
command_name = 'build'
description = 'build everything needed to install'
help_options = [('help-compiler', None, 'list available compilers', <function show_compilers>)]
negative_opt = {'without-docs': 'with-docs'}
sub_commands = [('build_py', <function has_pure_modules>), ('build_clib', <function has_c_libraries>), ('build_ext', <function has_ext_modules>), ('build_idl', <function has_idl>), ('build_scripts', <function has_scripts>), ('build_tests', <function has_tests>), ('build_docs', <function has_docs>), ('build_l10n', <function has_l10n>)]
user_options = [('build-base=', 'b', 'base directory for build library'), ('build-lib=', None, 'build directory for all distributions'), ('build-scripts=', None, 'build directory for scripts'), ('build-temp=', 't', 'temporary build directory'), ('build-tests=', None, 'build directory for tests'), ('build-docs=', None, 'build directory for documents'), ('build-l10n=', None, 'build directory for binary message catalogs'), ('compiler=', 'c', 'specify the compiler type'), ('ldflags=', 'l', 'specify additional linker options'), ('debug', 'g', 'compile with debugging information'), ('force', 'f', 'forcibly build everything (ignore file timestamps)'), ('with-docs', None, 'enable documentation build'), ('without-docs', None, 'disable documentation build [default]')]